Skip to content

# Interface: IPodContainerStatus

## Hierarchy

- IPodContainerStatus

## Index

### Properties

- containerID
- image
- imageID
- lastState
- name
- ready
- restartCount
- state

## Properties

### containerID

• containerID: string

Defined in src/renderer/api/endpoints/pods.api.ts:170

### image

• image: string

Defined in src/renderer/api/endpoints/pods.api.ts:168

### imageID

• imageID: string

Defined in src/renderer/api/endpoints/pods.api.ts:169

### lastState

• lastState: object

Defined in src/renderer/api/endpoints/pods.api.ts:156

#### Type declaration:

- [ index: string]: object

- terminated(): object

- containerID: string

- exitCode: number

- finishedAt: string

- reason: string

- startedAt: string

### name

• name: string

Defined in src/renderer/api/endpoints/pods.api.ts:139

### ready

• ready: boolean

Defined in src/renderer/api/endpoints/pods.api.ts:166

### restartCount

• restartCount: number

Defined in src/renderer/api/endpoints/pods.api.ts:167

### state

• state: object

Defined in src/renderer/api/endpoints/pods.api.ts:140

#### Type declaration:

- [ index: string]: object

- running(): object

- startedAt: string

- terminated(): object

- exitCode: number

- finishedAt: string

- reason: string

- startedAt: string

- waiting(): object

- message: string

- reason: string